Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.listener.internaldata
Class XMLRenderer

    java.lang.Object
      com.nokia.ant.listener.internaldata.XMLRenderer

    public class XMLRenderer

extends java.lang.Object

Constructor Summary
`XMLRenderer(BuildNode root, org.dom4j.Document database, java.util.Hashtable<java.lang.String,java.lang.String> properties)`

Method Summary
`protected void` | `createExecutionTree(org.dom4j.Element statistics)` Creating the execution tree section.
`protected void` | `createProperties(org.dom4j.Element statistics)` Creating the property section.
`protected void` | `createTarget(DataNode node, org.dom4j.Element targets)` Generating target only for TargetNode type of node
`protected void` | `createTargets(org.dom4j.Element statistics)` Creating the targets section.
`protected void` | `createTask(DataNode node, org.dom4j.Element targets)` Generating target only for TargetNode type of node
`protected void` | `createTasks(org.dom4j.Element statistics)` Creating the task section.
`protected void` | `createTree(DataNode node, org.dom4j.Element tree)` Creating execution tree recursively, visiting the DataNodes.
`protected void` | `insertDatabase(org.dom4j.Element statistics)`
`java.lang.String` | `toString()` Rendering the build node into XML string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLRenderer

    public XMLRenderer(BuildNode root,
                       org.dom4j.Document database,
                       java.util.Hashtable<java.lang.String,java.lang.String> properties)

Method Detail

### createTarget

    protected void createTarget(DataNode node,
                                org.dom4j.Element targets)

  Generating target only for TargetNode type of node

  Parameters:
    `node` -
    `targets` -

### createTargets

    protected void createTargets(org.dom4j.Element statistics)

  Creating the targets section.

  Parameters:
    `statistics` -

### createTask

    protected void createTask(DataNode node,
                              org.dom4j.Element targets)

  Generating target only for TargetNode type of node

  Parameters:
    `node` -
    `targets` -

### createTasks

    protected void createTasks(org.dom4j.Element statistics)

  Creating the task section.

  Parameters:
    `statistics` -

### createTree

    protected void createTree(DataNode node,
                              org.dom4j.Element tree)

  Creating execution tree recursively, visiting the DataNodes.

  Parameters:
    `node` -
    `tree` -

### createExecutionTree

    protected void createExecutionTree(org.dom4j.Element statistics)

  Creating the execution tree section.

  Parameters:
    `statistics` -

### createProperties

    protected void createProperties(org.dom4j.Element statistics)

  Creating the property section.

  Parameters:
    `statistics` -

### insertDatabase

    protected void insertDatabase(org.dom4j.Element statistics)

### toString

    public java.lang.String toString()

  Rendering the build node into XML string.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD